define({"509":{i:0.000352556033908001,u:"../Content/Configuration/Service/_ACI_ServiceConfigParams_Reference.htm",a:"This section describes the Service configuration parameters that determine which machines are permitted to use and control a service.  You must enable the service port by specifying the  ServicePort ,  ServiceStatusClients , and  ServiceControlClients  configuration parameters.The service port then ...",t:"Service Configuration Parameters"},"510":{i:0.000352556033908001,u:"../Content/Configuration/Service/_ACI_Access_Control_Allow_Ori.htm",a:"A list of URLs that you want to use to access the IDOL Admin interface. You must configure this parameter to enable Cross Origin Resource Sharing, which allows IDOL Admin to access the index and service ports for your components.  Each URL must include: the http:// or https:// prefix the host that ...",t:"Access-Control-Allow-Origin"},"511":{i:0.00398558105932431,u:"../Content/Configuration/Service/_ACI_ServiceACIMode.htm",a:"ServiceACIMode Generates ACI-compatible XML. Type: Boolean Default: False Required: No Configuration Section: Service Example: ServiceACIMode=False See Also: ServiceControlClients ServiceHost ServicePort ServiceStatusClients",t:"ServiceACIMode"},"512":{i:0.00449722057154385,u:"../Content/Configuration/Service/_ACI_ServiceControlClients.htm",a:"The IP addresses or names of clients that can send service control actions to the service. Separate multiple addresses with commas. There must be no space before or after the comma. Adding a client to ServiceControlClients does not enable it to send service status actions. To enable a client to send ...",t:"ServiceControlClients"},"513":{i:0.00398558105932431,u:"../Content/Configuration/Service/_ACI_ServiceHost.htm",a:"ServiceHost The host server on which the service is running. Type: String Default: *.*.*.* Required: No Configuration Section: Service Example: ServiceHost=127.0.0.1 See Also: ServiceACIMode ServiceControlClients ServicePort ServiceStatusClients",t:"ServiceHost"},"514":{i:0.00411661450828659,u:"../Content/Configuration/Service/_ACI_ServicePort.htm",a:"The port on the host server on which the service listens for service status and control requests.  Type: Long Default: 40010 Required: Yes Allowed Range: \n                        Minimum: 1                        Maximum: 65535\n                     Recommended Range: \n                        ...",t:"ServicePort"},"515":{i:0.00449722057154385,u:"../Content/Configuration/Service/_ACI_ServiceStatusClients.htm",a:"The IP addresses or names of clients that can request status information from a service. Separate multiple individual addresses with commas. There must be no space before or after the comma. Adding a client to ServiceStatusClients does not enable it to send service control actions. To enable a ...",t:"ServiceStatusClients"},"516":{i:0.000352556033908001,u:"../Content/Configuration/Service/_ACI_TCPReceiveWindowSize.htm",a:"The TCP receive window size to use when the service receives data. This parameter sets the size of the socket receiving buffers for all IDOL components. Use this parameter to tune network performance based on bandwidth and client to server round-trip times. Generally, a higher value improves ...",t:"TCPReceiveWindowSize"},"517":{i:0.000352556033908001,u:"../Content/Configuration/XmlParsing/_XMLParsing.htm",a:"The parameters in this section configure how HPE CFS parses XML files that it receives. Consider the following XML: \u003cxml\u003e \n   \u003cdocuments\u003e \n      \u003cdocument my_attribute=\"value\"\u003e \n         \u003cmetadata\u003e \n           \u003cname\u003eThis is the name of the document\u003c/name\u003e \n           \u003ccreated\u003e28/02/15 ...",t:"XML Parsing Parameters"},"518":{i:0.00294617582512901,u:"../Content/Configuration/XmlParsing/ContentPaths.htm",a:"A comma-separated list of possible paths to a node that contains the document content. Specify the paths relative to the node identified by  DocumentRootPaths . Use a forward slash (/) to represent levels in the XML hierarchy. If multiple content nodes are identified for a single document, a ...",t:"ContentPaths"},"519":{i:0.00315647248421708,u:"../Content/Configuration/XmlParsing/DocumentRootPaths.htm",a:"A comma-separated list of paths to nodes that contain a single document. Specify the paths relative to the root of the XML. Use a forward slash (/) to represent levels in the XML hierarchy. Any elements contained within the specified node are added to the document as metadata. Type: String Default: ...",t:"DocumentRootPaths"},"520":{i:0.000352556033908001,u:"../Content/Configuration/XmlParsing/IncludeRootPath.htm",a:"A Boolean value that specifies whether to include the node specified by  DocumentRootPaths  in the document. You might set this parameter to  TRUE if your root node has attributes that you need to include in the document. For example, consider the following XML: \u003cxml\u003e\n   \u003cdocuments\u003e \n      \u003cdocument ...",t:"IncludeRootPath"},"521":{i:0.00294617582512901,u:"../Content/Configuration/XmlParsing/ReferencePaths.htm",a:"A comma-separated list of possible paths to a node  that contains the document reference. Specify the paths relative to the node identified by  DocumentRootPaths . Use a forward slash (/) to represent levels in the XML hierarchy. The XML for each document must contain exactly one node that matches ...",t:"ReferencePaths"},"522":{i:0.000652228828596688,u:"../Content/Service/_ACI_part_Service.htm",a:"Service Actions This section describes the service actions that you can send to the service. Introduction to Service Actions Service Actions",t:"Service Actions"},"523":{i:0.000629753455595724,u:"../Content/Service/_ACI_Service_Intro.htm",a:"Service actions  return data about the service and allow you to control the service. If you add the  ServicePort ,  ServiceStatusClients , and  ServiceControlClients  settings to the [Service] section of the  configuration file, the service port is enabled and accepts the following standard status ...",t:"Introduction to Service Actions"},"524":{i:0.000352556033908001,u:"../Content/Service/_ACI_Action_Syntax.htm",a:"The actions use the following syntax: http://Host:Port/action=ActionName\u0026[Parameters] where, Host The IP address (or name) of the machine hosting the service. Port The ServicePort specified in the [Service] section of the service’s configuration file. ActionName One of the actions described in this ...",t:"Action Syntax"},"525":{i:0.000704671654267896,u:"../Content/Service/ServiceActions/_ACI_ServiceActions_Reference.htm",a:"Service Actions This section describes the Service actions. Diagnostic GetConfig GetLogStream GetLogStreamNames GetStatistics GetStatus GetStatusInfo Stop ValidateConfig Service Action Parameters",t:"Service Actions"},"526":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_ACIThreadStatus.htm",a:"Returns information about the activity of all the threads that the ACI service is using, including the number of accepted connections. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example ...",t:"ACIThreadStatus"},"527":{i:0.00414399535985372,u:"../Content/Service/ServiceActions/_ACI_Diagnostic.htm",a:"The Diagnostic action creates a ZIP file for the service, which contains useful information for troubleshooting.  The information provided, and the level of detail in the files, varies for different services.  This is a service control action that can be sent only from  ServiceControlClients  (which ...",t:"Diagnostic"},"528":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_GetConfig.htm",a:"GetConfig The GetConfig action returns the service’s configuration file settings. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetConfig Parameters None.",t:"GetConfig"},"529":{i:0.00242236944250064,u:"../Content/Service/ServiceActions/_ACI_GetLogStream.htm",a:"The GetLogStream action returns a specific log stream for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStream\u0026Name=application.log\u0026FromDisk=True\u0026Tail=10 This ...",t:"GetLogStream"},"530":{i:0.0013484409338969,u:"../Content/Service/ServiceActions/_ACI_GetLogStreamNames.htm",a:"The GetLogStreamNames action returns the names of the log streams defined for the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=GetLogStreamNames Parameters None.",t:"GetLogStreamNames"},"531":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_GetStatistics.htm",a:"The GetStatistics action returns statistics for the service. This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Each statistic returns in an autn:stat XML element. This element contains the following ...",t:"GetStatistics"},"532":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_GetStatus.htm",a:"The GetStatus action returns the status of the service  (running, paused, or stopping) and some current configuration settings.  This is a status action that can be sent only from  ServiceStatusClients  (which are set in the [Service] section of the configuration file). Example action=GetStatus ...",t:"GetStatus"},"533":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_GetStatusInfo.htm",a:"The GetStatusInfo action returns status information for the service (for example, the service’s product name, version number and so on). The action returns the following status information for the service: Statistics Description [StatusInfo] ServiceStartTime The time the service started running (in ...",t:"GetStatusInfo"},"534":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_Stop.htm",a:"Stop The Stop action stops the service. This is a service control action that can be sent only from  ServiceControlClients  (which are set in the [Service] section of the configuration file). Example action=Stop Parameters None.",t:"Stop"},"535":{i:0.000436515911895402,u:"../Content/Service/ServiceActions/_ACI_ValidateConfig.htm",a:"The ValidateConfig action detects and returns a list of configuration errors such as repeated or unused configuration keys and sections, unreferenced entries and so on.  For the ValidateConfig action to validate a configuration section, HPE Connector Framework Server must have previously read that ...",t:"ValidateConfig"},"536":{i:0.000352556033908001,u:"../Content/Lua/_LUA_Lua_Scripts.htm",a:"Lua Functions and Methods Reference This section describes the functions and methods that you can use in your Lua scripts.",t:"Lua Functions and Methods Reference"},"537":{i:0.000352556033908001,u:"../Content/Lua/General/_LUA_General_Methods.htm",a:"Function Description abs_path Returns the supplied path as an absolute path. base64_decode Decodes a base64-encoded  string. base64_encode Base64-encodes a string. convert_date_time Converts date and time formats using standard IDOL date formats. convert_encoding Converts the encoding of a string ...",t:"General Functions"},"538":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_abs_path.htm",a:"abs_path The abs_path method returns the supplied path as an absolute path. Syntax abs_path( path ) Arguments Argument Description path (string) A relative path. Returns (String). A string containing the supplied path as an absolute path.",t:"abs_path"},"539":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_base64_decode.htm",a:"base64_decode The base64_decode method decodes a base64-encoded  string. Syntax base64_decode( input ) Arguments Argument Description input (string) The string to decode. Returns (String). The decoded string. If the input is not a valid base64-encoded string, the function returns nil.",t:"base64_decode"},"540":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_base64_encode.htm",a:"base64_encode The base64_encode method base64-encodes a string. Syntax base64_encode( input ) Arguments Argument Description input (string) The string to base64-encode. Returns (String). A base64-encoded string.",t:"base64_encode"},"541":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_convert_date_time.htm",a:"The convert_date_time method converts date and time formats using standard IDOL formats. All date and time input is treated as local time unless it contains explicit time zone information. The InputFormatCSV and OutputFormat arguments specify date and time formats, and accept the following values: ...",t:"convert_date_time"},"542":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_convert_encoding.htm",a:"The convert_encoding method converts the encoding of a string from one character encoding to another. Syntax convert_encoding( input, encodingTo, encodingTables [, encodingFrom]) Arguments Argument Description input (string) The string to convert. encodingTo (string) The character encoding to ...",t:"convert_encoding"},"543":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_copy_file.htm",a:"The copy_file method copies a file. Syntax copy_file( src, dest [, overwrite] ) Arguments Argument Description src (string) The source file. dest (string) The destination path and file name. overwrite (boolean) A boolean that specifies whether to copy the file if the destination file already exists. ...",t:"copy_file"},"544":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_create_path.htm",a:"create_path The create_path method creates the specified directory tree. Syntax create_path( path ) Arguments Argument Description path (string) The path to create.",t:"create_path"},"545":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_create_uuid.htm",a:"create_uuid The create_uuid method creates a universally unique identifier. Syntax create_uuid() Returns (String). A string containing the universally unique identifier.",t:"create_uuid"},"546":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_delete_file.htm",a:"delete_file The delete_file method deletes a file. Syntax delete_file( path ) Arguments Argument Description path (string) The path and filename of the file to delete. Returns (Boolean). A boolean, true to indicate success or false for failure.",t:"delete_file"},"547":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_delete_path.htm",a:"delete_path The delete_path function deletes the specified directory, but only if it is empty. Syntax delete_path( path ) Arguments Argument Description path (string) The empty directory to delete. Returns Nothing. Example delete_path( \"C:\\MyFolder\\AnotherFolder\\\" )",t:"delete_path"},"548":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_doc_tracking.htm",a:"The doc_tracking function raises a document tracking event for a document. Syntax doc_tracking( document , eventName [, eventMetadata] [, reference] ) Arguments Argument Description document (LuaDocument) The document to track. eventName (string) The event name. You can type a description of the ...",t:"doc_tracking"},"549":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_encrypt.htm",a:"encrypt The encrypt method encrypts a string and returns the encrypted string. It uses the same encryption method as ACL encryption. Syntax encrypt( content ) Arguments Argument Description content (string) The string to encrypt. Returns (String). The encrypted string.",t:"encrypt"},"550":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_encrypt_security_field.htm",a:"encrypt_security_field The encrypt_security_field method returns the encrypted form of the supplied field. Syntax encrypt_security_field( field ) Arguments Argument Description field (string) An Access Control List string. Returns (String). An encrypted string.",t:"encrypt_security_field"},"551":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_extract_date.htm",a:"The extract_date function searches a string for a date and returns the date. This function uses standard IDOL date formats.  All date and time input is treated as local time unless it contains explicit time zone information. The following table describes the standard IDOL date formats: YY Year (2 ...",t:"extract_date"},"552":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_file_setdates.htm",a:"The file_setdates method sets the metadata for the file specified by path. If the format argument is not specified, the dates must be specified in seconds since the epoch (1st January 1970). Syntax file_setdates( path, created, modified, accessed [, format] ) Arguments Argument Description path ...",t:"file_setdates"},"553":{i:0.000624518975671513,u:"../Content/Lua/General/_LUA_get_config.htm",a:"The get_config function loads a configuration file. Configuration files are cached after the first call to get_config, to avoid unnecessary disk I/O in the likely event that the same configuration is accessed frequently by subsequent invocations of the Lua script. One cache is maintained per Lua ...",t:"get_config"},"554":{i:0.000622284572281498,u:"../Content/Lua/General/_LUA_get_log.htm",a:"The get_log method reads a configuration file and returns a  LuaLog  object that provides the capability to use the specified log stream. Syntax get_log( config, logstream ) Arguments Argument Description config (LuaConfig) A LuaConfig object that represents the configuration file which contains the ...",t:"get_log"},"555":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_getcwd.htm",a:"getcwd The getcwd method returns the current working directory of the application. Syntax getcwd() Returns (String). Returns a string containing the absolute path of the current working directory.",t:"getcwd"},"556":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_gobble_whitespace.htm",a:"The gobble_whitespace method reduces multiple adjacent white spaces (tabs, carriage returns, spaces, and so on) in the specified string to a single space. Syntax gobble_whitespace( input ) Arguments Argument Description input (string) An input string. Returns (String). A string without adjacent ...",t:"gobble_whitespace"},"557":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_hash_file.htm",a:"The hash_file method hashes the contents of the specified file using the SHA1 or MD5 algorithm. Syntax hash_file( FileName, Algorithm ) Arguments Argument Description FileName (string) The name of the file. Algorithm (string) The type of algorithm to use. Must be either SHA1 or MD5. Returns ...",t:"hash_file"},"558":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_hash_string.htm",a:"The hash_string method hashes the specified string using the SHA1 or MD5 algorithm. Syntax hash_string( StringToHash, Algorithm ) Arguments Argument Description StringToHash (string) The string to hash. Algorithm (string) The algorithm to use. Must be either SHA1 or MD5. Returns (String). The hashed ...",t:"hash_string"},"559":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_is_dir.htm",a:"is_dir The is_dir method checks if the supplied path is a directory. Syntax is_dir( path ) Arguments Argument Description path (string) The path to check. Returns (Boolean). Returns true if the supplied path is a directory, false otherwise.",t:"is_dir"},"560":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_log.htm",a:"log The log method appends log messages to the specified file. Syntax log( file, message ) Arguments Argument Description file (string) The file to append log messages to. message (string) The message to print to the file.",t:"log"},"561":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_move_file.htm",a:"The move_file method moves a file. Syntax move_file( src, dest [, overwrite] ) Arguments Argument Description src (string) The source file. dest (string) The destination file. overwrite (boolean) A boolean that specifies whether to move the file if the destination file already exists. If this ...",t:"move_file"},"562":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_parse_csv.htm",a:"The parse_csv method parses a string of comma-separated values into individual strings. The method understands quoted values (such that parsing \u0027foot, \"leg, torso\", elbow\u0027 produces three values) and ignores white space around delimiters. Syntax parse_csv( input [, delimiter ] ) Arguments Argument ...",t:"parse_csv"},"563":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_parse_xml.htm",a:"parse_xml The parse_xml method parses an XML string to a LuaXmlDocument. Syntax parse_xml( xml ) Arguments Argument Description xml (string) XML data as a string. Returns (LuaXmlDocument). A LuaXmlDocument containing the parsed data, or nil if the string could not be parsed.",t:"parse_xml"},"564":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_regex_match.htm",a:"The regex_match method performs a regular expression match on a string. Syntax regex_match( input, regex [, case] ) Arguments Argument Description input (string) The string to match. regex (string) The regular expression to match against. case (boolean) A boolean that specifies whether the match is ...",t:"regex_match"},"565":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_regex_replace_all.htm",a:"The regex_replace_all method searches a string for matches to a regular expression, and replaces the matches according to the value specified by the replacement argument. Syntax regex_replace_all( input, regex, replacement ) Arguments Argument Description input (string) The string in which you want ...",t:"regex_replace_all"},"566":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_regex_search.htm",a:"The regex_search method performs a regular expression search on a string. This method returns a LuaRegexMatch object, rather than strings. Syntax regex_search ( input, regex [, case]) Arguments Argument Description input (string) The string in which to search. regex (string) The regular expression ...",t:"regex_search"},"567":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_script_path.htm",a:"The script_path function returns the path and file name of the script that is running. Syntax script_path() Returns (String, String) Returns the path of the folder that contains the script and the file name of the script, as separate strings. Example local script_directory, script_filename = ...",t:"script_path"},"568":{i:0.00350246758568373,u:"../Content/Lua/General/_LUA_send_aci_action.htm",a:"The send_aci_action method sends a query to an ACI server. This method takes the action parameters as a table instead of the full action as a string, as with send_aci_command. This avoids issues with parameter values containing an ampersand (\u0026). Syntax send_aci_action( host, port, action [, ...",t:"send_aci_action"},"569":{i:0.00333835386244246,u:"../Content/Lua/General/_LUA_send_aci_command.htm",a:"The send_aci_command method sends a query to an ACI server. Syntax send_aci_command( host, port, query [, timeout] [, retries] [, sslParameters] ) Arguments Argument Description host (string) The ACI host to send the query to. port (number) The port to send the query to. query (string) The query to ...",t:"send_aci_command"},"570":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_send_and_wait_for_async_aci_action.htm",a:"The send_and_wait_for_async_aci_action method sends a query to an ACI server. The method does not return until the action has completed. You might use this method when you want to use an asynchronous action. The send_aci_action method returns as soon as it receives a response, which for an ...",t:"send_and_wait_for_async_aci_action"},"571":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_sleep.htm",a:"sleep The sleep method pauses the thread. Syntax sleep( milliseconds ) Arguments Argument Description milliseconds (number) The number of milliseconds for which to pause the current thread.",t:"sleep"},"572":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_string_uint_less.htm",a:"The string_uint_less method takes two strings and returns True if the second is longer than the first. It returns False otherwise. Syntax string_uint_less( input1, input2 ) Arguments Argument Description input1 (string) The string that acts as the standard for comparison. input2 (string) The string ...",t:"string_uint_less"},"573":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_unzip_file.htm",a:"The unzip_file method extracts the contents of a zip file. Syntax unzip_file( path, dest ) Arguments Argument Description path (string) The path and filename of the file to unzip. dest (string) The destination path where files are extracted. Returns (Boolean). Returns a Boolean indicating success or ...",t:"unzip_file"},"574":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_url_escape.htm",a:"url_escape The url_escape method percent-encodes a string. Syntax url_escape( input ) Arguments Argument Description input (string) The string to percent-encode. Returns (String). The percent-encoded string.",t:"url_escape"},"575":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_url_unescape.htm",a:"url_unescape The url_unescape method replaces URL escaped characters and returns a standard string. Syntax url_unescape( input ) Arguments Argument Description input (string) The string to process. Returns (String). The modified string.",t:"url_unescape"},"576":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_xml_encode.htm",a:"xml_encode The xml_encode method takes a string and encodes it using XML escaping. Syntax xml_encode ( content ) Arguments Argument Description content (string) The string to encode. Returns (String).",t:"xml_encode"},"577":{i:0.000360047853775218,u:"../Content/Lua/General/_LUA_zip_file.htm",a:"The zip_file method zips the supplied path (file or directory). It overwrites the output file only if you set the optional overwrite argument to true. Syntax zip_file( path [, overwrite] ) Arguments Argument Description path (string) The path or filename of the file or folder to zip. overwrite ...",t:"zip_file"},"578":{i:0.000352556033908001,u:"../Content/Lua/LuaConfig/_LUA_LuaConfig_Methods.htm",a:"A LuaConfig object provides access to configuration information. You can retrieve a LuaConfig for a given configuration file using the get_config function. If you have a LuaConfig object called config you can call its methods using the \u0027:\u0027 operator. For example: config:getValue(sectionName, ...",t:"LuaConfig Methods"},"579":{i:0.000427474232580173,u:"../Content/Lua/LuaConfig/_LUA_getEncryptedValue.htm",a:"The getEncryptedValue method returns the unencrypted value from the configuration file of an encrypted value. Syntax getEncryptedValue( section, parameter ) Arguments Argument Description section (string) The section in the configuration file. parameter (string) The parameter in the configuration ...",t:"getEncryptedValue"},"580":{i:0.000427474232580173,u:"../Content/Lua/LuaConfig/_LUA_getValue.htm",a:"The getValue method returns the value of the configuration parameter key in a given section. If the key does not exist in the section, then it returns the default value. Syntax getValue( section, key [, default] ) Arguments Argument Description section (string) The section name in the configuration ...",t:"getValue"},"581":{i:0.000427474232580173,u:"../Content/Lua/LuaConfig/_LUA_getValues.htm",a:"The getValues method returns multiple values for a parameter (for example, a comma-separated list or numbered list like keyN). Syntax getValues( section, parameter ) Arguments Argument Description section (string) The section in the configuration file. parameter (string) The parameter to find in the ...",t:"getValues"},"582":{i:0.000427474232580173,u:"../Content/Lua/LuaConfig/_LUA_LuaConfig_new.htm",a:"The constructor for a LuaConfig object (creates a new LuaConfig object). Syntax LuaConfig:new( config_buffer ) Arguments Argument Description config_buffer (string) The configuration to use to create the LuaConfig object. Returns (LuaConfig). The new LuaConfig object. Example local config_buffer = ...",t:"LuaConfig:new"},"583":{i:0.000352556033908001,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_Methods.htm",a:"This section describes the methods provided by the LuaDocument object. A LuaDocument allows you to access and modify the reference, metadata and content of a document. If you have a LuaDocument object called document you can call its methods using the \u0027:\u0027 operator. For example: ...",t:"LuaDocument Methods"},"584":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_addField.htm",a:"addField The addField method adds a new field to the document. Syntax addField ( fieldname, fieldvalue ) Arguments Argument Description fieldname (string) The name of the field to add. fieldvalue (string) The value to set for the field.",t:"addField"},"585":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_addSection.htm",a:"The addSection method adds an empty section to the end of the document. Syntax addSection() Returns (LuaDocument). Returns a LuaDocument object representing the document, with the new section as the active section. Example local newSection = document:addSection()   -- Add a new section to the ...",t:"addSection"},"586":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_appendContent.htm",a:"The appendContent method appends content to the existing content (the DRECONTENT field) of a document  or document section. Syntax appendContent ( content [, number]) Arguments Argument Description content (string) The content to append. number (number) The document section to modify. If you do not ...",t:"appendContent"},});