define({"587":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_copyField.htm",a:"The copyField method copies a field value to a new field. If the target field already exists it is overwritten. Syntax copyField ( sourcename, targetname [, case] ) Arguments Argument Description sourcename (string) The name of the field to copy. targetname (string) The destination field name. case ...",t:"copyField"},"588":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_copyFieldNoOverwrite.htm",a:"The copyFieldNoOverwrite method copies a field value to a new field but does not overwrite the existing value. After calling this function the target field will contain all values of the source field in addition to any values it already had. Syntax copyFieldNoOverwrite( sourcename, targetname [, ...",t:"copyFieldNoOverwrite"},"589":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_countField.htm",a:"The countField method returns the number of fields with the specified name. Syntax countField( fieldname [, case] ) Arguments Argument Description fieldname (string) The name of the field to count. case (boolean) A boolean that specifies whether fieldname is case sensitive. The field name is case ...",t:"countField"},"590":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_deleteField.htm",a:"The deleteField method deletes a field from a document. If you specify the optional value argument, the field is deleted only if has the specified value. Syntax deleteField( fieldName [, case] ) deleteField( fieldName, value [, case] ) Arguments Argument Description fieldname (string) The name of ...",t:"deleteField"},"591":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getContent.htm",a:"The getContent method gets the content (the value of the DRECONTENT field) for a document or document section. Syntax getContent([number]) Arguments Argument Description number (number) The document section for which you want to return the content.  If you do not specify this argument, the method ...",t:"getContent"},"592":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getField.htm",a:"The getField method returns a LuaField object representing the field with the specified name. Syntax getField( name [, case]) Arguments Argument Description name (string) The name of the field. case (boolean) A boolean that specifies whether the name argument is case-sensitive. The name is case ...",t:"getField"},"593":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getFieldNames.htm",a:"getFieldNames The getFieldNames method returns all of the field names for the document. Syntax getFieldNames() Returns (Strings) The names of the fields. To map the return values to a table, surround the function call with braces. For example: names = { document:getFieldNames() }",t:"getFieldNames"},"594":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getFields.htm",a:"The getFields method returns LuaField objects where each object represents a field that matches the specified name. Syntax getFields( name [, case]) Arguments Argument Description name (string) The name of the field. case (boolean) A boolean that specifies whether the name argument is ...",t:"getFields"},"595":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getFieldValue.htm",a:"The getFieldValue method gets the value of a field in a document. To return the values of a multi-value field, see  getFieldValues . Syntax getFieldValue( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field to be retrieved. case (boolean) A boolean that ...",t:"getFieldValue"},"596":{i:0.000669028672335338,u:"../Content/Lua/LuaDocument/_LUA_getFieldValues.htm",a:"The getFieldValues method gets all values from all fields that have the same name. Syntax getFieldValues( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether fieldname is case-sensitive. The argument is case ...",t:"getFieldValues"},"597":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getNextSection.htm",a:"The getNextSection method returns the next section of a document (if the document has been divided into sections). The document object passed to the script\u0027s handler function represents the first section of the document. This means that the methods described in this section read and modify only the ...",t:"getNextSection"},"598":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getReference.htm",a:"getReference The getReference method returns a string containing the reference (the value of the DREREFERENCE document field). Syntax getReference() Returns (String). A string containing the reference.",t:"getReference"},"599":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getSection.htm",a:"The getSection method returns a LuaDocument object with the specified section as the active section. Syntax getSection(number) Arguments Argument Description number (number) The document section for which you want to return a LuaDocument object. Returns (LuaDocument). A LuaDocument object with the ...",t:"getSection"},"600":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getSectionCount.htm",a:"getSectionCount The getSectionCount method returns the number of sections in a document. Syntax getSectionCount() Returns (Number). The number of sections. Example local sectionCount = document:getSectionCount()",t:"getSectionCount"},"601":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_getValueByPath.htm",a:"The getValueByPath method gets the value of a document field.  The field is specified by its path, which means that you can get the value of a sub field. If you pass this method the path of a multi-value field, only the first value is returned. To return all of the values from a multi-value field, ...",t:"getValueByPath"},"602":{i:0.000669028672335338,u:"../Content/Lua/LuaDocument/_LUA_getValuesByPath.htm",a:"The getValuesByPath method gets all values of a document field. The field is specified by its path, which means that you can get values from a sub field. Syntax getValuesByPath( path ) Arguments Argument Description path (string) The path of the field. Returns (Strings). Strings that contain the ...",t:"getValuesByPath"},"603":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_hasField.htm",a:"The hasField method checks to see if a field exists in the current document. Syntax hasField ( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname is case-sensitive. The field name is ...",t:"hasField"},"604":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_insertXml.htm",a:"insertXml The insertXml method inserts XML metadata into the document. Syntax insertXml ( node ) Arguments Argument Description node (LuaXmlNode) The node to insert. Returns (LuaField). A LuaField object of the inserted data.",t:"insertXml"},"605":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_insertXmlWithoutRoot.htm",a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ...",t:"insertXmlWithoutRoot"},"606":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_LuaDocument_new.htm",a:"The constructor for a LuaDocument object (creates a new LuaDocument object that only contains a reference). Syntax LuaDocument:new( reference ) Arguments Argument Description reference (string) The reference to assign to the new document. Returns (LuaDocument). The new LuaDocument object. Example ...",t:"LuaDocument:new"},"607":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_removeSection.htm",a:"The removeSection method removes a section from a document. Syntax removeSection( sectionNumber ) Arguments Argument Description sectionNumber (number) A zero-based index that specifies the section to remove. For example, to remove the second section, set this argument to  1. Returns Nothing. ...",t:"removeSection"},"608":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_renameField.htm",a:"The renameField method changes the name of a field. Syntax renameField( currentname, newname [, case]) Arguments Argument Description currentname (string) The name of the field to rename. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the currentname ...",t:"renameField"},"609":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_setContent.htm",a:"The setContent method sets the content (the value of the DRECONTENT field) for a document or document section. Syntax setContent( content [, number] ) Arguments Argument Description content (string) The content to set for the document or document section. number (number) The document section to ...",t:"setContent"},"610":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_setFieldValue.htm",a:"The setFieldValue method sets the value of a field in a document. If the field does not exist, it is created. If the field already exists, the existing value is overwritten. Syntax setFieldValue( fieldname, newvalue ) Arguments Argument Description fieldname (string) The name of the field to set. ...",t:"setFieldValue"},"611":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_setReference.htm",a:"setReference The setReference method sets the reference (the value of the DREREFERENCE document field) to the string passed in. Syntax setReference( reference ) Arguments Argument Description reference (string) The reference to set.",t:"setReference"},"612":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_to_IDX.htm",a:"to_idx The to_idx method returns a string containing the document in IDX format. Syntax to_idx() Returns (String). Returns the document as a string.",t:"to_idx"},"613":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_to_JSON.htm",a:"to_json The to_json method returns a string containing the document in JSON format. Syntax to_json() Returns (String). Returns the document as a string.",t:"to_json"},"614":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_to_XML.htm",a:"to_xml The to_xml method returns a string containing the document in XML format. Syntax to_xml() Returns (String). Returns the document as a string.",t:"to_xml"},"615":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_writeStubIdx.htm",a:"The writeStubIdx method writes out a stub IDX document (a metadata file used by IDOL applications). The file is created in the current folder, but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubIdx( filename ) Arguments Argument ...",t:"writeStubIdx"},"616":{i:0.000361637027686446,u:"../Content/Lua/LuaDocument/_LUA_writeStubXml.htm",a:"The writeStubXml method writes out an XML file containing the metadata for the document. The file is created in the current folder but you can specify a full path and file name if you want to create the file in another folder. Syntax writeStubXml( filename ) Arguments Argument Description filename ...",t:"writeStubXml"},"617":{i:0.000352556033908001,u:"../Content/Lua/LuaField/_LUA_LuaField_Methods.htm",a:"This section describes the methods provided by LuaField objects. A LuaField represents a single field in a document. You can retrieve LuaField objects for a document using the LuaDocument getField and getFields methods. In its simplest form a field has just a name and a value, but it can also ...",t:"LuaField Methods"},"618":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_addField.htm",a:"addField The addField method adds a sub field with the specified name and value. Syntax addField( fieldname, fieldvalue ) Arguments Argument Description fieldname (string) The name of the field. fieldvalue (string) The value of the field.",t:"addField"},"619":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_copyField.htm",a:"The copyField method copies a sub field to another sub field. If the target sub field exists it is overwritten. Syntax copyField ( from, to [, case]) Arguments Argument Description from (string) The name of the field to copy. to (string) The name of the field to copy to. case (boolean) A boolean ...",t:"copyField"},"620":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_copyFieldNoOverwrite.htm",a:"The copyFieldNoOverwrite method copies the sub field to another sub field but does not overwrite the destination. After this operation the destination field contains all the values of the source field as well as any values it already had. Syntax copyFieldNoOverwrite( from, to [, case]) Arguments ...",t:"copyFieldNoOverwrite"},"621":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_countField.htm",a:"The countField method returns the number of sub fields that exist with the specified name. Syntax countField ( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The ...",t:"countField"},"622":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_deleteAttribute.htm",a:"deleteAttribute The deleteAttribute method deletes the specified field attribute. Syntax deleteAttribute( name ) Arguments Argument Description name (string) The name of the attribute to delete.",t:"deleteAttribute"},"623":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_deleteField.htm",a:"The deleteField method deletes the sub field with the specified name. Syntax deleteField( name [, case] )  deleteField( name , value [, case] )  Arguments Argument Description name (string) The name of the sub field to delete. value (string) The value of the sub field. If this is specified a field ...",t:"deleteField"},"624":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getAttributeValue.htm",a:"getAttributeValue The getAttributeValue method gets the value of the specified attribute. Syntax getAttributeValue( name ) Arguments Argument Description name (string) The name of the attribute. Returns (String). The attribute value.",t:"getAttributeValue"},"625":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getField.htm",a:"The getField method returns the specified sub field. Syntax getField ( name [, case]) Arguments Argument Description name (string) The name of the field to return. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case sensitive by default (true). ...",t:"getField"},"626":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getFieldNames.htm",a:"The getFieldNames method returns the names of the sub fields in the LuaField object. Syntax getFieldNames() Returns (Strings). The names of the sub fields. The strings can be assigned to a table. To map the return values to a table, surround the function call with braces. For example: fieldnames = { ...",t:"getFieldNames"},"627":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getFields.htm",a:"The getFields method returns all of the sub fields specified by the name argument. Syntax getFields( name [, case] ) Arguments Argument Description name (string) The name of the fields. case (boolean) A boolean that specifies whether the name argument is case sensitive. The argument is case ...",t:"getFields"},"628":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getFieldValues.htm",a:"The getFieldValues method returns the values of all of the sub fields with the specified name. Syntax getFieldValues( fieldname [, case] ) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case ...",t:"getFieldValues"},"629":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_getValueByPath.htm",a:"The getValueByPath method gets the value of a sub-field, specified by path.   If you pass this method the path of a sub-field that has multiple values, only the first value is returned. To return all of the values from a multi-value sub-field, see  getValuesByPath . Syntax getValueByPath( path ) ...",t:"getValueByPath"},"630":{i:0.000677428594204663,u:"../Content/Lua/LuaField/_LUA_getValuesByPath.htm",a:"The getValuesByPath method gets the values of a sub-field, specified by path.   Syntax getValuesByPath( path ) Arguments Argument Description path (string) The path of the sub-field. Returns (Strings). Strings that contain the values. To map the return values to a table, surround the function call ...",t:"getValuesByPath"},"631":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_hasAttribute.htm",a:"hasAttribute The hasAttribute method returns a Boolean indicating whether the field has the specified attribute. Syntax hasAttribute( name ) Arguments Argument Description name (string) The name of the attribute. Returns (Boolean). A Boolean specifying if the field has the specified attribute.",t:"hasAttribute"},"632":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_hasField.htm",a:"The hasField method returns a Boolean specifying if the sub field exists. Syntax hasField( fieldname [, case]) Arguments Argument Description fieldname (string) The name of the field. case (boolean) A boolean that specifies whether the fieldname argument is case sensitive. The argument is case ...",t:"hasField"},"633":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_insertXml.htm",a:"The insertXml method inserts XML metadata into the document. When called on a LuaField, the insertXml method inserts the fields as children of the LuaField. Syntax insertXml ( node ) Arguments Argument Description node (LuaXmlNode) The node to insert. Returns (LuaField). A LuaField object of the ...",t:"insertXml"},"634":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_insertXmlWithoutRoot.htm",a:"The insertXmlWithoutRoot method inserts XML metadata into the document. This method does not insert the top level node. All of the child nodes are inserted into the document. insertXmlWithoutRoot(node) is therefore equivalent to calling insertXml() for each child node. Syntax insertXmlWithoutRoot ( ...",t:"insertXmlWithoutRoot"},"635":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_name.htm",a:"name The name method returns the name of the field object. Syntax name() Returns (String). The name of the field object.",t:"name"},"636":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_renameField.htm",a:"The renameField method renames a sub field. Syntax renameField( oldname, newname [, case] ) Arguments Argument Description oldname (string) The previous name of the field. newname (string) The new name of the field. case (boolean) A boolean that specifies whether the oldname argument is case ...",t:"renameField"},"637":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_setAttributeValue.htm",a:"setAttributeValue The setAttributeValue method sets the value for the specified attribute of the field. Syntax setAttributeValue( attribute, value ) Arguments Argument Description attribute (string) The name of the attribute to set. value (string) The value to set.",t:"setAttributeValue"},"638":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_setValue.htm",a:"setValue The setValue method sets the value of the field. Syntax setValue( value ) Arguments Argument Description value (string) The value to set.",t:"setValue"},"639":{i:0.000366177524575668,u:"../Content/Lua/LuaField/_LUA_value.htm",a:"value The value method returns the value of the field object. Syntax value() Returns (String). The value of the field object.",t:"value"},"640":{i:0.000617027155804296,u:"../Content/Lua/LuaLog/_LUA_LuaLog.htm",a:"A LuaLog object provides the capability to use a log stream defined in the connector\u0027s configuration file. You can obtain a LuaLog object for a log stream by using the function  get_log . If you have a LuaLog object called log you can call its methods using the \u0027:\u0027 operator. For example: ...",t:"LuaLog Methods"},"641":{i:0.000614792752414281,u:"../Content/Lua/LuaLog/_LUA_write_line.htm",a:"The write_line method writes a message to the log stream. Syntax write_line( level, message ) Arguments Argument Description level The log level for the message. The message only appears in the log if the log level specified here is the same as, or higher than, the log level set for the log stream. ...",t:"write_line"},"642":{i:0.000352556033908001,u:"../Content/Lua/LuaXmlDocument/_LUA_LuaXmlDocument_Methods.htm",a:"This section describes the methods provided by LuaXmlDocument objects. A LuaXmlDocument object provides methods for accessing information stored in XML format. You can create a LuaXmlDocument from a string containing XML using the parse_xml function. If you have a LuaXmlDocument object called xml ...",t:"LuaXmlDocument Methods"},"643":{i:0.000412490592845738,u:"../Content/Lua/LuaXmlDocument/_LUA_root.htm",a:"root The root method returns an LuaXmlNode, which is the root node of the XML document. Syntax root() Returns (LuaXmlNode). A LuaXmlNode object.",t:"root"},"644":{i:0.000412490592845738,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathExecute.htm",a:"XPathExecute The XPathExecute method returns a LuaXmlNodeSet, which is the result of the supplied XPath query. Syntax XPathExecute( xpathQuery ) Arguments Argument Description xpathQuery (string) The xpath query to run. Returns (LuaXmlNodeSet). A LuaXmlNodeSet object.",t:"XPathExecute"},"645":{i:0.000412490592845738,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathRegisterNs.htm",a:"The XPathRegisterNs method registers a namespace with the XML parser. Syntax XPathRegisterNs( prefix, location ) Arguments Argument Description prefix (string) The namespace prefix. location (string) The namespace location. Returns (Boolean). True if successful, False in case of error.",t:"XPathRegisterNs"},"646":{i:0.000412490592845738,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValue.htm",a:"XPathValue The XPathValue method returns the first occurrence of the value matching the XPath query. Syntax XPathValue( query ) Arguments Argument Description query (string) The XPath query to use. Returns (String). A string of the value.",t:"XPathValue"},"647":{i:0.000412490592845738,u:"../Content/Lua/LuaXmlDocument/_LUA_XPathValues.htm",a:"The XPathValues method returns the values according to the XPath query. Syntax XPathValues( query ) Arguments Argument Description query (string) The XPath query to use. Returns (Strings). The strings can be assigned to a table. To map the return values to a table, surround the function call with ...",t:"XPathValues"},"648":{i:0.000352556033908001,u:"../Content/Lua/LuaXmlNodeSet/_LUA_LuaXmlNodeSet_Methods.htm",a:"A LuaXmlNodeSet object represents a set of XML nodes. If you have a LuaXmlNodeSet object called nodes you can call its methods using the \u0027:\u0027 operator. For example: nodes:size() Method Description at Returns the LuaXmlNode at position pos in the set. size Returns size of node set.",t:"LuaXmlNodeSet Methods"},"649":{i:0.000502392431252344,u:"../Content/Lua/LuaXmlNodeSet/_LUA_at.htm",a:"at The at method returns the LuaXmlNode at position position in the set. Syntax at( position ) Arguments Argument Description position (number) The index of the item in the array to get.\n                     Returns (LuaXmlNode).",t:"at"},"650":{i:0.000502392431252344,u:"../Content/Lua/LuaXmlNodeSet/_LUA_size.htm",a:"size The size method returns the size of the node set. Syntax size() Returns (Number) An integer, the size of the node set.",t:"size"},"651":{i:0.000352556033908001,u:"../Content/Lua/LuaXmlNode/_LUA_LuaXmlNode_Methods.htm",a:"A LuaXmlNode object represents a single node in an XML document.  If you have a LuaXmlNode object called node you can call its methods using the \u0027:\u0027 operator. For example: node:name() Method Description attr Returns the first LuaXmlAttribute attribute object for this element. content Returns the ...",t:"LuaXmlNode Methods"},"652":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_attr.htm",a:"The attr method returns the first LuaXmlAttribute attribute object for the LuaXmlNode. If the name argument is specified, the method returns the first LuaXmlAttribute object with the specified name. Syntax attr( [name] ) Arguments Argument Description name (string) The name of the LuaXmlAttribute ...",t:"attr"},"653":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_content.htm",a:"content The content method returns the content (text element) of the XML node. Syntax content() Returns (String). A string containing the content.",t:"content"},"654":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_firstChild.htm",a:"firstChild The firstChild method returns the LuaXmlNode that is the first child of this node. Syntax firstChild() Returns (LuaXmlNode).",t:"firstChild"},"655":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_lastChild.htm",a:"lastChild The lastChild method returns the LuaXmlNode that is the last child of this node. Syntax lastChild() Returns (LuaXmlNode).",t:"lastChild"},"656":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_name.htm",a:"name The name method returns the name of the XML node. Syntax name() Returns (String). A string containing the name.",t:"name"},"657":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_next.htm",a:"next The next method returns the LuaXmlNode that is the next sibling of this node. Syntax next() Returns (LuaXmlNode).",t:"next"},"658":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_nodePath.htm",a:"nodePath The nodePath method returns the XML path to the node, which can be used in another XPath query. Syntax nodePath() Returns (String). A string containing the path.",t:"nodePath"},"659":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_parent.htm",a:"parent The parent method returns the parent LuaXmlNode of the node. Syntax parent() Returns (LuaXmlNode).",t:"parent"},"660":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlNode that is the previous sibling of this node. Syntax prev() Returns (LuaXmlNode).",t:"prev"},"661":{i:0.000382523313376869,u:"../Content/Lua/LuaXmlNode/_LUA_type.htm",a:"The type method returns the type of the node as a string. Syntax type() Returns (String) A string containing the type. Possible values are: element_node comment_node element_decl attribute_node document_node attribute_decl text_node document_type_node entity_decl cdata_section_node ...",t:"type"},"662":{i:0.000352556033908001,u:"../Content/Lua/LuaXmlAttribute/_LUA_LuaXmlAttribute_Methods.htm",a:"A LuaXmlAttribute object represents an attribute on an XML element. If you have a LuaXmlAttribute object called attribute you can call its methods using the \u0027:\u0027 operator. For example: attribute:name() Method Description name Returns the name of this attribute. next Returns a LuaXmlAttribute object ...",t:"LuaXmlAttribute Methods"},"663":{i:0.000427474232580173,u:"../Content/Lua/LuaXmlAttribute/_LUA_name.htm",a:"name The name method returns the name of this attribute. Syntax name() Returns (String). A string containing the name of the attribute.",t:"name"},"664":{i:0.000427474232580173,u:"../Content/Lua/LuaXmlAttribute/_LUA_next.htm",a:"next The next method returns a LuaXmlAttribute object for the next attribute in the parent element. Syntax next() Returns (LuaXmlAttribute).",t:"next"},"665":{i:0.000427474232580173,u:"../Content/Lua/LuaXmlAttribute/_LUA_prev.htm",a:"prev The prev method returns a LuaXmlAttribute object for the previous attribute in the parent element. Syntax prev() Returns (LuaXmlAttribute).",t:"prev"},"666":{i:0.000427474232580173,u:"../Content/Lua/LuaXmlAttribute/_LUA_value.htm",a:"value The value method returns the value of this attribute. Syntax value() Returns (String). A string containing the value of the attribute.",t:"value"},"667":{i:0.000352556033908001,u:"../Content/Lua/LuaRegexMatch/_LUA_LuaRegexMatch_Methods.htm",a:"A LuaRegexMatch object provides information about the matches for a regular expression found in a string. For example, the regex_search function returns a LuaRegexMatch object. If a match is found for a regular expression at multiple points in the string, you can use the next() method to get a ...",t:"LuaRegexMatch Methods"},"668":{i:0.000412490592845738,u:"../Content/Lua/LuaRegexMatch/_LUA_length.htm",a:"The length method returns the length of the match. You can also retrieve the length of sub matches by specifying the submatch parameter. Syntax length( [ submatch ] ) Arguments Argument Description submatch (number) The sub match to return the length of, starting at 1 for the first sub match. With ...",t:"length"},"669":{i:0.000412490592845738,u:"../Content/Lua/LuaRegexMatch/_LUA_next.htm",a:"next The next method returns a LuaRegexMatch object for the next match. Syntax next() Returns (LuaRegexMatch). A LuaRegexMatch object for the next match, or nil if there are no matches following this one.",t:"next"},"670":{i:0.000412490592845738,u:"../Content/Lua/LuaRegexMatch/_LUA_position.htm",a:"The position method returns the position of the match in the string searched, where 1 refers to the first character in the string. You can also retrieve the position of sub matches by specifying the submatch parameter. Syntax position( [ submatch ] ) Arguments Argument Description submatch (number) ...",t:"position"},"671":{i:0.000412490592845738,u:"../Content/Lua/LuaRegexMatch/_LUA_size.htm",a:"size The size method returns the total number of sub matches made for the current match, including the whole match (sub match 0). Syntax size() Returns (Number). The number of sub matches for the current match.",t:"size"},});